%define name polypaudio
%define version 0.7
%define release 3mdk
%define major 0.7
%define libname %mklibname %name %major

Summary: Sound server for Linux
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch: polypaudio-0.7-nosuid.patch.bz2
License: LGPL
Group: Sound
Url: http://0pointer.de/lennart/projects/polypaudio/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: glib2-devel
BuildRequires: glib-devel
BuildRequires: libcap-devel
BuildRequires: libsndfile-devel
BuildRequires: libsamplerate-devel
BuildRequires: libalsa-devel
BuildRequires: XFree86-devel
BuildRequires: lynx
BuildRequires: automake1.8
BuildRequires: libltdl-devel

%description
polypaudio is a sound server for Linux and other Unix like operating
systems. It is intended to be an improved drop-in replacement for the
Enlightened Sound Daemon (ESOUND). In addition to the features ESOUND
provides polypaudio has:
     * Extensible plugin architecture (by loading dynamic loadable
       modules with dlopen())
     * Support for more than one sink/source
     * Better low latency behaviour
     * Embedabble into other software (the core is available as C
       library)
     * Completely asynchronous C API
     * Simple command line interface for reconfiguring the daemon while
       running
     * Flexible, implicit sample type conversion and resampling
     * "Zero-Copy" architecture
     * Module autoloading
     * Very accurate latency measurement for playback and recording.
     * May be used to combine multiple sound cards to one (with sample
       rate adjustment)
     * Client side latency interpolation

%package -n %libname
Summary: Shared library part of the polpyaudio sound server
Group: System/Libraries

%description -n %libname
polypaudio is a sound server for Linux and other Unix like operating
systems. It is intended to be an improved drop-in replacement for the
Enlightened Sound Daemon (ESOUND). In addition to the features ESOUND
provides polypaudio has:
     * Extensible plugin architecture (by loading dynamic loadable
       modules with dlopen())
     * Support for more than one sink/source
     * Better low latency behaviour
     * Embedabble into other software (the core is available as C
       library)
     * Completely asynchronous C API
     * Simple command line interface for reconfiguring the daemon while
       running
     * Flexible, implicit sample type conversion and resampling
     * "Zero-Copy" architecture
     * Module autoloading
     * Very accurate latency measurement for playback and recording.
     * May be used to combine multiple sound cards to one (with sample
       rate adjustment)
     * Client side latency interpolation

This contains the shared library needed by polypaudio based applications.

%package -n %libname-devel
Summary: Development headers of the polpyaudio sound server
Group: Development/C
Requires: %libname = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %libname-devel
polypaudio is a sound server for Linux and other Unix like operating
systems. It is intended to be an improved drop-in replacement for the
Enlightened Sound Daemon (ESOUND). In addition to the features ESOUND
provides polypaudio has:
     * Extensible plugin architecture (by loading dynamic loadable
       modules with dlopen())
     * Support for more than one sink/source
     * Better low latency behaviour
     * Embedabble into other software (the core is available as C
       library)
     * Completely asynchronous C API
     * Simple command line interface for reconfiguring the daemon while
       running
     * Flexible, implicit sample type conversion and resampling
     * "Zero-Copy" architecture
     * Module autoloading
     * Very accurate latency measurement for playback and recording.
     * May be used to combine multiple sound cards to one (with sample
       rate adjustment)
     * Client side latency interpolation

This contains the C headers and libraries needed to build polypaudio
based applications.


%prep
%setup -q
%patch -p1
aclocal-1.8
autoconf
automake-1.8

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/polypaudio-%major/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README doc/*.html doc/*.css
%attr(4755,root,root) %_bindir/%name
%_bindir/esdcompat.sh
%_bindir/pacat
%_bindir/pacmd
%_bindir/pactl
%_bindir/paplay
%_bindir/parec
%_bindir/pax11publish
%dir %_sysconfdir/polypaudio
%config(noreplace) %_sysconfdir/polypaudio/client.conf
%config(noreplace) %_sysconfdir/polypaudio/daemon.conf
%config(noreplace) %_sysconfdir/polypaudio/default.pa

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.*
%_libdir/polypaudio-%major/*.so
%_libdir/polypaudio-%major/*.la

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/lib*.la
%_libdir/lib*.a
%_libdir/lib*.so
%_includedir/polyp/
%_libdir/pkgconfig/*.pc

%changelog
* Thu Jan 06 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7-3mdk
- add BuildRequires: libltdl-devel

* Wed Jan 05 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7-2mdk
- use automake1.8

* Tue Jan  4 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- initial package

